Skip to main content
GET
/
cost_management
/
Monitor Consumptions
curl --request GET \
  --url https://api.edenai.run/v2/cost_management/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.edenai.run/v2/cost_management/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.edenai.run/v2/cost_management/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "response": [
    {
      "token": "base_token",
      "data": {
        "2024-01-01": {
          "image__explicit_content": {
            "total_cost": 0.03000000000000001,
            "details": 20,
            "cost_per_provider": {
              "google": 0.03000000000000001
            }
          },
          "text__generation": {
            "total_cost": 0.065878,
            "details": 54,
            "cost_per_provider": {
              "openai": 0.065878
            }
          }
        },
        "2024-02-01": {
          "audio__text_to_speech": {
            "total_cost": 0.47940000000000005,
            "details": 2,
            "cost_per_provider": {
              "elevenlabs": 0.47940000000000005
            }
          },
          "image__explicit_content": {
            "total_cost": 0.023999999999999997,
            "details": 16,
            "cost_per_provider": {
              "google": 0.023999999999999997
            }
          },
          "ocr__ocr": {
            "total_cost": 0.006,
            "details": 4,
            "cost_per_provider": {
              "google": 0.006
            }
          }
        },
        "2024-03-01": {
          "image__explicit_content": {
            "total_cost": 0.15150000000000005,
            "details": 101,
            "cost_per_provider": {
              "google": 0.15150000000000005
            }
          },
          "image__question_answer": {
            "total_cost": 1.3700000000000003,
            "details": 69,
            "cost_per_provider": {
              "alephalpha": 0.02,
              "google": 0.01,
              "openai": 1.3400000000000003
            }
          },
          "text__chat": {
            "total_cost": 11.303349220000005,
            "details": 381,
            "cost_per_provider": {
              "anthropic": 0.00786,
              "cohere": 0.002,
              "google": 0.002,
              "meta": 0.00182784,
              "mistral": 0.00047418,
              "openai": 11.285760000000003,
              "perplexityai": 0.0034272,
              "replicate": 0
            }
          },
          "text__generation": {
            "total_cost": 1.093838,
            "details": 1019,
            "cost_per_provider": {
              "openai": 1.093838
            }
          }
        },
        "2024-04-01": {
          "audio__text_to_speech": {
            "total_cost": 0.273,
            "details": 5,
            "cost_per_provider": {
              "elevenlabs": 0.273
            }
          }
        },
        "2024-05-01": {
          "text__chat": {
            "total_cost": 25.151578000000015,
            "details": 2041,
            "cost_per_provider": {
              "google": 0.006500000000000001,
              "meta": 2.9662771199999995,
              "mistral": 0.027624000000000003,
              "openai": 21.665000000000017,
              "perplexityai": 0.4861768799999998
            }
          },
          "text__embeddings": {
            "total_cost": 0.08262119999999998,
            "details": 1671,
            "cost_per_provider": {
              "cohere": 0.08262119999999998
            }
          }
        }
      }
    }
  ]
}
{
  "error": {
    "type": "<string>",
    "message": {
      "<parameter_name>": [
        "<string>"
      ]
    }
  }
}
{
  "error": {
    "type": "<string>",
    "message": "<string>"
  }
}
{
  "details": "Not Found"
}
{
  "error": {
    "type": "<string>",
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

begin
string<date>
required
end
string<date>
required
group_by
enum<string>
  • user - user
Available options:
user
Minimum string length: 1
provider
string
Required string length: 1 - 200
rag_project_id
string<uuid>
step
integer
required
Required range: 1 <= x <= 4
subfeature
string
Required string length: 1 - 200
token
string
Minimum string length: 1
user
string<email>
Minimum string length: 1
workflow_id
string<uuid>

Response

response
TokenData · object[]
required